Name:           xmlgraphics-commons
Version:        2.2
Release:        4
Summary:        A library that consists of several reusable components
License:        ASL 2.0
URL:            http://xmlgraphics.apache.org/
Source0:        http://archive.apache.org/dist/xmlgraphics/commons/source/xmlgraphics-commons-%{version}-src.tar.gz
BuildArch:      noarch

#https://github.com/apache/xmlgraphics-commons/commit/57393912eb87b994c7fed39ddf30fb778a275183
Patch0:         CVE-2020-11988.patch

BuildRequires:  maven-local, mvn(commons-io:commons-io), mvn(commons-logging:commons-logging), mvn(junit:junit)
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin), mvn(org.mockito:mockito-core), mvn(xml-resolver:xml-resolver)
Provides:       %{name}-javadoc%{?_isa} %{name}-javadoc
Obsoletes:      %{name}-javadoc

%description
Apache XML Graphics Commons is a library that consists of several reusable components
used by Apache Batik and Apache FOP. Many of these components can easily be used separately
outside the domains of SVG and XSL-FO. You will find components such as a PDF library,
an RTF library, Graphics2D implementations that let you generate PDF & PostScript files,
and much more. The Apache™ XML Graphics Commons project is part of the Apache™ Software
Foundation, which is a wider community of users and developers of open source projects.

%prep
%autosetup %{name}-%{version} -p1

find -name "*.jar" -delete

%pom_remove_plugin :findbugs-maven-plugin
%pom_remove_plugin :maven-checkstyle-plugin

%pom_xpath_inject pom:project \
'<packaging>bundle</packaging>'

%pom_add_plugin org.apache.felix:maven-bundle-plugin . \
" <extensions>
    true
  </extensions>
  <configuration>
    <instructions>
      <Bundle-SymbolicName>
        org.apache.xmlgraphics
      </Bundle-SymbolicName>
    </instructions>
  </configuration>"

%build
%mvn_file : %{name}
%mvn_build

%install
%mvn_install

%files -f .mfiles
%license LICENSE NOTICE
%doc README
%{_javadocdir}/%{name}/*

%changelog
* Sun Apr 24 2022 yaoxin <yaoxin30@h-partners.com> - 2.2-4
- Fix CVE-2020-11988

* Fri Dec 6 2019 openEuler Buildteam <buildteam@openeuler.org> - 2.2-3
- Package init
